你好,游客 登录 注册 搜索
背景:
阅读新闻

GraphicsMagick ReadPNMImage函数拒绝服务漏洞(CVE-2017-14042)

[日期:2017-08-31] 来源:Linux社区  作者:Linux [字体: ]
GraphicsMagick ReadPNMImage函数拒绝服务漏洞(CVE-2017-14042)


发布日期:2017-08-29
更新日期:2017-08-31

受影响系统:

GraphicsMagick Group GraphicsMagick 1.3.26

描述:


CVE(CAN) ID: CVE-2017-14042

GraphicsMagick是一个简单的图像处理工具。

GraphicsMagick 1.3.26版本,coders/pnm.c/ReadPNMImage函数存在内存分配问题,可导致magick/memory.c/MagickRealloc函数拒绝服务。

<*来源:vendor
  *>

建议:


厂商补丁:

GraphicsMagick Group
--------------------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://hg.code.sf.net/p/graphicsmagick/code/rev/3bbf7a13643d
https://blogs.gentoo.org/ago/2017/08/28/graphicsmagick-memory-allocation-failure-in-magickrealloc-memory-c-2/

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-08/146627.htm

linux
相关资讯       GraphicsMagick 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款